Skip to main content
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
/
branches
/
{branch_name}
Remove a branch from indexing
curl --request DELETE \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name} \
  --header 'Authorization: Bearer <token>'
{
  "branches": [
    "<string>"
  ],
  "indexing_enabled": true,
  "repository_path": "<string>",
  "indexing_status": {
    "indexing_enabled": true,
    "latest_completed_search_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>"
    },
    "latest_completed_wiki_index_job": {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>"
    },
    "latest_indexes": [
      {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>"
      }
    ]
  }
}

Permissions

Requires a service user with the IndexOrgRepositories permission at the organization level.

Behavior

Removes a specific branch from indexing for the specified repository. If no branches remain after removal, indexing is automatically disabled for the repository. Returns 404 if the branch is not configured for indexing.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

repository_path
string
required
branch_name
string
required

Response

Successful Response

branches
string[]
required
indexing_enabled
boolean
required
repository_path
string
required
indexing_status
RepoIndexingStatusResponse · object